Returns a paginated list of commission plans matching the supplied search criteria (POST variant).

Functionally equivalent to GET /accounts/commission-plans but accepts the criteria in the
request body. Requires the AccountsRead policy. Paginate with Offset (0-based) and Limit.

🔐 Required permission: accounts.read

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Filter, sort and pagination criteria.

Filter and pagination criteria for querying commission plans. All filter fields are optional;
multiple values within an array filter are matched as OR, distinct filters as AND.

id
array of int32s | null

Optional. Restricts results to these commission-plan ids.

id
programId
array of int32s | null

Optional. Restricts results to these affiliate-program ids.

programId
softwareId
array of int32s | null

Optional. Restricts results to these software (platform) ids.

softwareId
accountId
array of int32s | null

Optional. Restricts results to these Routy internal account ids.

accountId
affiliateId
array of int32s | null

Optional. Restricts results to these affiliate ids.

affiliateId
brandId
array of int32s | null

Optional. Restricts results to these brand ids.

brandId
currencyCode
array of strings | null

Optional. Restricts results to these currency codes (ISO 4217).

currencyCode
countryCodes
array of strings | null

Optional. Restricts results to these country codes (ISO 3166-1 alpha-2).

countryCodes
regionCode
array of strings | null

Optional. Restricts results to these region codes.

regionCode
status
array of objects | null

Optional. Restricts results to commission plans in these statuses. See Platform.Models.CommissionPlans.CommissionPlanStatus.

status
Allowed:
int32 | null

Optional. Number of items to skip (0-based).

int32 | null

Optional. Maximum number of items to return.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json